Redmine - Defect #6242

can't switch between inline and side-by-side diff
2010-08-28 13:16 - Jean-Claude Wippler

Status: Closed Start date: 2010-08-28
Priority: Normal Due date:

Assignee: Jean-Baptiste Barth % Done: 100%
Category: ul Estimated time: 0.00 hour
Target version: 1.0.2

Resolution: Fixed Affected version: 1.0.1
Description

| upgraded from 0,.8.4 to 1.0.1 recently. When switching between inline and s-b-s mode, | get an error, such as:
The requested URL /projects/jeenode/repository/diff/Ports/examples/powerdown_demo/powerdown_demo.pde was not found
on this server.

The problem is caused by /'s being URL-escaped to %2F - when | manually change them back, the URL works as intended. Here's

the URL to which Redmine wants to redirect when switching diff mode in the popup:

http://[...]/projects/jeenode/repository/diff/Ports%2Fexamples%2Fpowerdown_demo%2Fpowerdown_demo.pde?rev=5969&type
=inline

(I've edited out the actual server name because it's in a temp location and on a very slow link + machine)

Associated revisions

Revision 4100 - 2010-09-18 18:50 - Jean-Baptiste Barth

Fixes switching between inline and side-by-side in diff view with path. #6242

Contributed by Felix Schafer

History

#1 - 2010-09-05 16:38 - Michael Tenschert

Yes, | also get this error on Centos 5.5.

#2 - 2010-09-05 17:25 - Jean-Claude Wippler
same as #6292

#3 - 2010-09-05 19:54 - diafza diafza
is it maybe something to do with the escaping for #5548 ?

#4 - 2010-09-05 20:14 - Jean-Baptiste Barth
- Category set to SCM

Same as #6292, we cannot help you until you read SubmittingBugs and provide requested information. Moreover, I'd like to have minimal steps to
reproduce, which SCM do you use, in which version, which OS, etc.

#5 - 2010-09-05 20:56 - Jean-Claude Wippler

About your application's environment

Ruby version 1.8.6 (i486-1linux)
RubyGems version .5
Rack version

Rails version

Active Record version
Active Resource version
Action Mailer version
Active Support version
http://%5B...%5D/projects/jeenode/repository/diff/Ports%2Fexamples%2Fpowerdown_demo%2Fpowerdown_demo.pde?rev=5969&type=inline
http://%5B...%5D/projects/jeenode/repository/diff/Ports%2Fexamples%2Fpowerdown_demo%2Fpowerdown_demo.pde?rev=5969&type=inline
https://www.redmine.org/issues/6292
https://www.redmine.org/issues/5548
https://www.redmine.org/issues/6292
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs

Edge Rails revision unknown

Application root /var/www/railsapp
Environment development
Database adapter mysqgl

Database schema version 0

About your Redmine plugins
Markdown formatter 0.0.1

I'm using subversion. To reproduce, here's what | did: took the Redmine turnkey install from http://www.turnkeylinux.org/redmine - then upgraded it as
described.

#6 - 2010-09-06 18:25 - Rémi Faitout

I'm having the same problem with latest Bitnami Redmine stack on a Windows 2003 Server standard edition. | have also recently migrated from 0.9.4
to 1.0.1 using the Bitnami upgrade documentation, and | use a Subversion repository. Here are the versions in Bitnami stack :

- Redmine 1.0.1

— Apache 2.2.14

- ImageMagick 6.5.6-8-0Q8

- MySQL 5.0.83

— Subversion 1.6.6

- Ruby 1.8.7-p249-1386-mingw32
- Rails 2.3.5

- RubyGems 1.3.6

The error occurs only when switching between inline and sbs on a single file diff (with the "view differences" combo on top); it's perfectly working

when you display the diff of a whole revision. As described on top, the part of the url describing the path in the SCM repository contains %2F instead
of /

#7 - 2010-09-08 09:59 - Sascha Drews
Same problem for me.

Showing the diff for a file shows automatically sbs-view. Everything works fine.

https://servername/projects/myproject/repository/revisions/1084/diff/trunk/lib/model/messages/Incoming.php

Switching to inline view (using the dropdown) gives a 404.

https://servername/projects/myproject/repository/diff/trunk$2F1lib%2Fmodel%2Fmessages$2FIncoming.php?rev=1084&t
ype=inline

My configuration:

Ruby version 1.8.7 (x86_64-1inux)
RubyGems version 1.3.6

Rack version 1.0

Rails version 2235195

Active Record version 2.3.5

Active Resource version 2.805

Action Mailer version 2.3.5

Active Support version 2.3.5

Edge Rails revision unknown

Application root /srv/rails/redmine-1.0.1
Environment production

Database adapter mysql

Database schema version 20100819172912

#8 - 2010-09-18 00:11 - Djordjije Crni

The same problem for me...

Inline view, shown by default, works fine. Switching to sbs view gives 404 error.

Ruby version 1.8.7 (i686-1inux)
RubyGems version Lo

Rack version 1.0

Rails version 2.3.5

Active Record version 2.805

Active Resource version 2.3.5
Action Mailer version 2.3.5

Active Support version 2:805

Edge Rails revision unknown

Application root /opt/rails/redmine-1.0.1
Environment production

Database adapter mysql

Database schema version 20100819172912

svn, version 1.6.12 (r955767)

#9 - 2010-09-18 03:00 - Mischa The Evil

It seems I'm able to reproduce this behaviour. I'll look into it tomorrow extensively.

Note: besides that nobody else here actually posted a stacktrace, it seems that nothing about the error is written to the Rails log :S
#10 - 2010-09-18 03:14 - Jean-Claude Wippler

Mischa The Evil wrote:

Note: besides that nobody else here actually posted a stacktrace, it seems that nothing about the error is written to the Rails log :S

It's not a Ruby exception. It's an incorrect URL.

#11 - 2010-09-18 12:47 - Felix Schéfer
- Category changed from SCM to Ul

- Status changed from New to 7

- Assignee set to Jean-Baptiste Barth

- Target version set to 1.0.2

Itis an incorrect URL indeed, fixed in http://github.com/thegcat/redmine/commit/0392b9f2b4847218982d948f5eb1beee21fibiba

jb grenot: if you'd be so kind :-)

#12 - 2010-09-18 18:46 - Jean-Baptiste Barth
- Status changed from 7 to Resolved
- % Done changed from 0 to 100

- Resolution set to Fixed

Thanks! Committed in r4100

#13 - 2010-09-18 20:59 - Jean-Claude Wippler

Fix confirmed. Thank you Felix! :)

#14 - 2010-09-20 05:51 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable for release in 1.0.2
